package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItemdiscountCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaHmMarketingItemdiscountCreateactivityItemDiscountActivityRequest `json:"param" required:"true" `
}

func (s *AlibabaHmMarketingItemdiscountCreateactivityRequest) SetParam(v domain.AlibabaHmMarketingItemdiscountCreateactivityItemDiscountActivityRequest) *AlibabaHmMarketingItemdiscountCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaHmMarketingItemdiscountCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItemdiscountCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
